Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Echo Class Reference

STK echo effect class. More...

`#include <Echo.h>`

Inheritance diagram for Echo:

List of all members.

## Public Member Functions

| Echo (MY_FLOAT longestDelay)
| Class constructor, taking the longest desired delay length.
| ~Echo ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
void | setDelay (MY_FLOAT delay)
| Set the delay line length in samples.
void | setEffectMix (MY_FLOAT mix)
| Set the mixture of input and processed levels in the output (0.0 = input only, 1.0 = processed only).
MY_FLOAT | lastOut () const
| Return the last output value.
MY_FLOAT | tick (MY_FLOAT input)
| Compute one output sample.
MY_FLOAT * | tick (MY_FLOAT *vector, unsigned int vectorSize)
| Input vectorSize samples to the filter and return an equal number of outputs in vector.

## Detailed Description

STK echo effect class.

This class implements a echo effect.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 17 of file Echo.h.

The documentation for this class was generated from the following file:

- Echo.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.